# BreakoutGameOverScene Class Reference

`#include <BreakoutGameOverScene.h>`

Inheritance diagram for BreakoutGameOverScene:

List of all members.

## Public Member Functions
| BreakoutGameOverScene ()
| ~BreakoutGameOverScene ()
virtual void | Initialise ()
virtual bool | HandleEvent (IEvent *pEvent)
virtual void | Draw ()
virtual void | Update ()
virtual void | Shutdown ()
virtual void | Activate ()
virtual void | Deactivate ()
## Protected Attributes
bool | m_bIsActive
std::vector< MenuEntry > | m_vMenuEntries
unsigned int | m_selectedEntry
SpriteID | m_gameTitleID
SpriteID | m_gameTitleShadowID

## Detailed Description

Definition at line 6 of file BreakoutGameOverScene.h.

## Constructor & Destructor Documentation

BreakoutGameOverScene::BreakoutGameOverScene | ( |  | ) |

Definition at line 9 of file BreakoutGameOverScene.cpp.

BreakoutGameOverScene::~BreakoutGameOverScene | ( |  | ) |

Definition at line 15 of file BreakoutGameOverScene.cpp.

## Member Function Documentation

void BreakoutMainMenuScene::Activate | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 91 of file BreakoutMainMenuScene.cpp.

void BreakoutMainMenuScene::Deactivate | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 96 of file BreakoutMainMenuScene.cpp.

void BreakoutMainMenuScene::Draw | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 44 of file BreakoutMainMenuScene.cpp.

bool BreakoutGameOverScene::HandleEvent | ( | IEvent * | pEvent | ) | `[virtual]`

Reimplemented from BreakoutMainMenuScene.

Definition at line 41 of file BreakoutGameOverScene.cpp.

void BreakoutGameOverScene::Initialise | ( |  | ) | `[virtual]`

Reimplemented from BreakoutMainMenuScene.

Definition at line 20 of file BreakoutGameOverScene.cpp.

void BreakoutMainMenuScene::Shutdown | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 86 of file BreakoutMainMenuScene.cpp.

void BreakoutMainMenuScene::Update | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 81 of file BreakoutMainMenuScene.cpp.

## Member Data Documentation

bool BreakoutMainMenuScene::m_bIsActive`[protected, inherited]`

Definition at line 27 of file BreakoutMainMenuScene.h.

SpriteID BreakoutMainMenuScene::m_gameTitleID`[protected, inherited]`

Definition at line 36 of file BreakoutMainMenuScene.h.

SpriteID BreakoutMainMenuScene::m_gameTitleShadowID`[protected, inherited]`

Definition at line 36 of file BreakoutMainMenuScene.h.

unsigned int BreakoutMainMenuScene::m_selectedEntry`[protected, inherited]`

Definition at line 35 of file BreakoutMainMenuScene.h.

std::vector<MenuEntry> BreakoutMainMenuScene::m_vMenuEntries`[protected, inherited]`

Definition at line 34 of file BreakoutMainMenuScene.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutGameOverScene.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutGameOverScene.cpp